# Catalog Groups

**Note** - The APIs in this section are legacy APIs. Zuora recommends using the newer, faster APIs for managing products and catalogs more efficiently instead.
For more information, see our latest <a href="https://developer.zuora.com/v1-api-reference/api/tag/Commerce/"
target="_blank">Commerce API</a>.


A catalog group is used to group a list of product rate plans with
a specific grade.


## Create a catalog group

 - [POST /v1/catalog-groups](https://developer.zuora.com/v1-api-reference/api/catalog-groups/post_createcataloggroup.md): Note: This operation is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at Zuora Global Support.

Creates a catalog group which groups a list of product rate plans.

## List all catalog groups

 - [GET /v1/catalog-groups](https://developer.zuora.com/v1-api-reference/api/catalog-groups/get_listallcataloggroups.md): Note: This operation is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at Zuora Global Support.

Retrieves basic information about all catalog groups.

## Retrieve a catalog group

 - [GET /v1/catalog-groups/{catalog-group-key}](https://developer.zuora.com/v1-api-reference/api/catalog-groups/get_retrievecataloggroup.md): Note: This operation is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at Zuora Global Support.

Retrieves basic information about a catalog group.

## Update a catalog group

 - [PUT /v1/catalog-groups/{catalog-group-key}](https://developer.zuora.com/v1-api-reference/api/catalog-groups/put_updatecataloggroup.md): Note: This operation is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at Zuora Global Support.

Updates a catalog group by its unique number or ID.

### Notes
- It is best practice to only specify the fields that you want to change in the request body.
- If you specify an empty value for a field in the request body, the corresponding field in the catalog group is emptied.
- The catalog group type cannot be changed.

## Delete a catalog group

 - [DELETE /v1/catalog-groups/{catalog-group-key}](https://developer.zuora.com/v1-api-reference/api/catalog-groups/delete_cataloggroup.md): Note: This operation is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at Zuora Global Support.

Deletes a catalog group.

